# SPDX-License-Identifier: GPL-2.0-only
# Copyright (C) 2022 Nvidia Corporation. All Rights Reserved.

Name:           rxpbench
Version:	22.10.0
Release:	1%{?dist}
Summary:	Nvidia Bluefield regex benchmarking tool

License:	BSD
URL:		nvidia.com
Source0:	%{name}-%{version}.tar.gz
AutoReqProv:    no
BuildRequires:  libpcap-devel

%description
Accepts input from test files, pcaps, or live traffic and applies pattern
matching rules defined by regular expressions.
A direct comparison with the software based Hyperscan pattern matches is
supported.

%global debug_package %{nil}

%prep
%setup -q

%build
export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/mellanox/dpdk/lib64/pkgconfig
export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/mellanox/doca/lib64/pkgconfig
export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/local/lib64/pkgconfig
make

%install
mkdir -p %{buildroot}%{_bindir}
cp -a build/rxpbench-static %{buildroot}%{_bindir}/rxpbench
cp -a rxpbench_match_comparison.py %{buildroot}%{_bindir}/

%files
%{_bindir}/rxpbench
%{_bindir}/rxpbench_match_comparison.py

%clean
rm -rf %{buildroot}

#%doc

#%changelog
